#
# spec file for package libkface
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define libname libKF5KFace
%define _so  10_0_0

Name:           libkface
Summary:        wrapper around LibFace to perform face recognition and detection over pictures
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            http://www.kde.org
Version:        16.08.2
Release:        2.2
Source0:        %{name}-%{version}.tar.xz
#PATCH-FIX-OPENSUSE fix-opencv.diff -- Make libkface build with an older opencv version
Patch0:         fix-opencv.diff
#PATCH-FIX-UPSTREAM opencv-3.1-support.patch -- Build with opencv 3.1
Patch1:         opencv-3.1-support.patch
BuildRequires:  opencv-qt5-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libkface is a Qt/C++ wrapper around LibFace to perform face recognition and detection over pictures

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%if 0%{?suse_version} == 1320 || (0%{suse_version} == 1315 && 0%{?sle_version} == 120100)
%patch0 -p0
%endif

%build
  %if 0%{?suse_version} == 1320 || (0%{suse_version} == 1315 && 0%{?sle_version} == 120100)
  %cmake_kf5 -d build
  %else
  %cmake_kf5 -d build -- -DENABLE_OPENCV3=TRUE
  %endif
  %make_jobs

%install
  %kf5_makeinstall -C build

%clean rm -rf $RPM_BUILD_ROOT

%package -n %{libname}%{_so}
Group:          Development/Libraries/KDE
Summary:        wrapper around LibFace to perform face recognition and detection over pictures
Requires:       %{name} = %{version}

%description -n %{libname}%{_so}
Libkface is a Qt/C++ wrapper around LibFace to perform face recognition and detection over pictures

%files -n %{libname}%{_so}
%defattr(-,root,root)
%_kf5_libdir/%{libname}.so.*

%post -n %{libname}%{_so} -p /sbin/ldconfig

%postun -n %{libname}%{_so} -p /sbin/ldconfig

%package devel
Summary:        wrapper around LibFace to perform face recognition and detection over pictures
Group:          Development/Libraries/KDE
Requires:       %{libname}%{_so} = %version
Obsoletes:      libkface-kf5-devel < %{version}
Provides:       libkface-kf5-devel = %{version}

%description devel
Libkface is a Qt/C++ wrapper around LibFace to perform face recognition and detection over pictures

%files devel
%defattr(-,root,root)
%doc COPYING README
%_kf5_libdir/%{libname}.so
%_kf5_includedir/KFace/
%_kf5_includedir/libkface_version.h
%{_kf5_libdir}/cmake/KF5KFace/

%files
%defattr(-,root,root)
%_kf5_appsdir/libkface/

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Fri Jul  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
- Add fix-opencv.diff back for Leap and oS 13.2 support
* Thu Mar  3 2016 tittiatcoke@gmail.com
- Enable building against openCV 3.x
  * opencv-3.1-support.patch Added from KDE Reviewboard
- Drop fix-opencv.diff as this is no longer required with the newer
  opencv
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
- Add patch fix-opencv.diff to ensure correct detection of opencv
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.07.90.php
* Mon Jul  6 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.3
  * KDE Applications 15.04.3
  * https://www.kde.org/announcements/announce-applications-15.04.3.php
* Sat May 30 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.2
  * KDE Applications 15.04.2
  * https://www.kde.org/announcements/announce-applications-15.04.2.php
* Mon May 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.1
  * KDE Applications 15.04.1
  * https://www.kde.org/announcements/announce-applications-15.04.1.php
* Sat Apr 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.0
  * KDE Applications 15.04.0
  * https://www.kde.org/announcements/announce-applications-15.04.0.php
* Sat Mar 21 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.03.95
  * KDE Applications 15.04 RC
* Sun Mar  8 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.03.80
  * KDE Applications 15.04 Beta
* Tue Mar  3 2015 tittiatcoke@gmail.com
- Update to KDE Applications 14.12.3
  * KDE Applications 14.12.3
  * See https://www.kde.org/announcements/announce-applications-14.12.3.php
* Sun Feb  1 2015 tittiatcoke@gmail.com
- Update to KDE Applications 14.12.2
  * KDE Applications 14.12.2
  * See https://www.kde.org/announcements/announce-applications-14.12.2.php
* Mon Jan 12 2015 tittiatcoke@gmail.com
- Update to KDE Applications 14.12.1
  * KDE Applications 14.12.1
  * See https://www.kde.org/announcements/announce-applications-14.12.1.php
* Wed Dec 17 2014 tittiatcoke@gmail.com
- Update to KDE Applications 14.12.0
  * KDE Applications 14.12.0
  * See https://www.kde.org/announcements/announce-applications-14.12.0.php
* Wed Dec  3 2014 tittiatcoke@gmail.com
- Initial package (Split from Digikam)
